﻿@using lap.tel.com_project.Models;
@model lap.tel.com.Models.RepairStatusEditViewModel

@{
    ViewData["Title"] = "Edytuj status naprawy";
}

<h2>Edytuj status naprawy</h2>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit" method="post">
            <input type="hidden" asp-for="RepairStatusId" />
            <input type="hidden" asp-for="DeviceId" />
            <input type="hidden" asp-for="UserId" />
            <input type="hidden" asp-for="DateSubmitted" />

            <div class="form-group">
                <label asp-for="Status" class="control-label"></label>
                <select asp-for="Status" asp-items="Html.GetEnumSelectList<RepairStatusEnum>()" class="form-control"></select>
            </div>
            <br />
            <div class="form-group">
                <a class="btn btn-dark" asp-controller="Admin" asp-action="RepairStatus">Powrót</a>
                <input type="submit" value="Edytuj" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>


@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
}
